import {StyleSheet, Text, View} from 'react-native';
import React from 'react';
import {TouchableWithoutFeedback} from 'react-native-gesture-handler';
import EntypoIcon from 'react-native-vector-icons/Entypo'
import { horizontalScale, verticalScale } from '../../../constants/metrics';
import colors from '../../../constants/colors';


const CircularPrimaryBackButton = ({onPress}) => {

  const styles = StyleSheet.create({
    buttonContainer: {
      borderRadius: 128,
      
      height: verticalScale(34),
      width: horizontalScale(34),
      backgroundColor: colors().dominant_variant,
      borderColor: colors().recessive_variant,
      borderWidth: 2,
      paddingVertical: verticalScale(6),
      paddingHorizontal: horizontalScale(6)
    },
  });
  
  return (
    <TouchableWithoutFeedback onPress={onPress}>
      <View style={styles.buttonContainer}>
        <EntypoIcon
          color={colors().secondaryColor}
          size={20}
          name="chevron-thin-left"
        />
      </View>
    </TouchableWithoutFeedback>
  );
};

export default CircularPrimaryBackButton;


