import { StyleSheet} from 'react-native'
import React from 'react'
import colors from '../../../constants/colors'
import Header from '../../atoms/Header/Header'
import { moderateScale } from '../../../constants/metrics'
import NewscoutLogo from '../../atoms/Logo/NewscoutLogo'



const NewscoutHomeHeader = ({ children, headerStyle}) => {
  

  const styles = StyleSheet.create({
    headerLogo: {
      height: moderateScale(64),
      width: moderateScale(64)
    },
    header:{
      backgroundColor: colors().dominant
    }
  })

  return (
    <Header style={[styles.header,headerStyle]}
      backIconTextComponent={<NewscoutLogo style={styles.headerLogo} />}
    >
      

      {children}
    </Header>
  )
}

export default NewscoutHomeHeader

