import { Image, ImageBackground, StyleSheet, Text, TouchableWithoutFeedback, View } from 'react-native'
import React from 'react'
import images from '../../../assets/images/images'
import fonts from '../../../constants/fonts'
import colors from '../../../constants/colors'
import { horizontalScale, moderateScale, verticalScale } from '../../../constants/metrics'


const NoBookmarkSection = () => {

  const styles = StyleSheet.create({
    container: {
      backgroundColor: colors().dominant,
      height: '100%',
      alignItems: 'center',
      justifyContent: 'center',
      paddingHorizontal: horizontalScale(16)
    },
    imageContainer: {

    },
    image: {
      height: 300,
      width: 300,
      maxHeight: '80%',
      maxWidth: '80%'
    },
    headline: {
      color: colors().primaryColor,
      fontFamily: fonts.type.semibold,
      fontSize: moderateScale(16),
      paddingBottom: verticalScale(32)
    },
    button: {
      backgroundColor: colors().secondaryColor,
      marginHorizontal: horizontalScale(24),
      maxWidth: '100%',
      width: '100%',
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'center',
      borderRadius: moderateScale(4)
    },
    buttonText: {

      paddingVertical: verticalScale(12),
      color: colors().recessive,
      fontFamily: fonts.type.regular
    }
  })

  return (
    <View style={styles.container}>
      <View style={styles.imageContainer}><Image source={images.noBookmark} style={[styles.image]} /></View>
      <Text style={styles.headline}>You have no bookmarked news</Text>
      <TouchableWithoutFeedback onPress={null}>
        <View style={styles.button}><Text style={styles.buttonText}>Explore News</Text></View>
      </TouchableWithoutFeedback>
    </View>
  )
}

export default NoBookmarkSection

